%define section free

Summary:        Java code generation framework
Name:           vdoclet
Version:        0.2
Release:        0.20030717.1jpp
Epoch:          0
License:        Open Source
URL:            http://vdoclet.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        vdoclet-20030717.tar.gz
Patch0:         vdoclet-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  qdox >= 0:1.3
BuildRequires:  velocity >= 0:1.3
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  qdox >= 0:1.3
Requires:  velocity >= 0:1.3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
vDoclet is a Java code-generation framework. It takes 
Java source-code, annotated with custom Javadoc tags, and 
uses Velocity templates to produce a number of output files.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm {} \;
mkdir lib/download
(cd lib/downloads
ln -s $(find-jar velocity) velocity-dep-1.3.1.jar
ln -s $(find-jar qdox) qdox-1.2.jar
)

%patch0

%build
export CLASSPATH=$(build-classpath \
ant \
ant-optional \
commons-collections \
qdox \
velocity \
junit)
CLASSPATH=build/main/classes:$CLASSPATH
ant -Dbuild.sysclasspath=only test dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/lib/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf dist/doc/apidist/doc/api

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr dist/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p dist/LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}

# -----------------------------------------------------------------------------

%changelog

* Sat Mar 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2-0.20030717.1jpp
- First JPackage release
